Module | RSS::Maker::SyndicationModel
In: | rss/maker/syndication.rb

### Methods

append_features

### Public Class methods

append_features(klass)

[Source]

    # File rss/maker/syndication.rb, line 7
          def self.append_features(klass)
            super

            ::RSS::SyndicationModel::ELEMENTS.each do |element|
              klass.add_need_initialize_variable(element)
              klass.add_other_element(element)
              klass.module_eval("attr_accessor :\#{element}\ndef setup_\#{element}(rss, current)\nif \#{element} and current.respond_to?(:\#{element}=)\ncurrent.\#{element} = @\#{element} if @\#{element}\nend\nend\n", __FILE__, __LINE__+1)
            end
          end

[Validate]